Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.collection
Class SimpleProblems

    java.lang.Object
      org.modeshape.common.collection.AbstractProblems
          org.modeshape.common.collection.SimpleProblems

All Implemented Interfaces:
  Serializable, Iterable<Problem>, Problems

    @NotThreadSafe
    public class SimpleProblems

extends AbstractProblems

A simple `Problems` collection. The problems will be `returned` in the order in which they were encountered (although this cannot be guaranteed in contexts involving multiple threads or processes).

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.modeshape.common.collection.AbstractProblems
`EMPTY_PROBLEMS`

Constructor Summary
`SimpleProblems()`

Method Summary
`void` | `addAll(Iterable<Problem> problems)` Add all of the problems in the supplied list.
`protected void` | `addProblem(Problem problem)`
`protected List<Problem>` | `getProblems()`

Methods inherited from class org.modeshape.common.collection.AbstractProblems
`addError, addError, addError, addError, addError, addError, addError, addError, addInfo, addInfo, addInfo, addInfo, addInfo, addInfo, addInfo, addInfo, addWarning, addWarning, addWarning, addWarning, addWarning, addWarning, addWarning, addWarning, hasErrors, hasInfo, hasProblems, hasWarnings, isEmpty, iterator, logLevelFor, size, toString, writeTo, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleProblems

    public SimpleProblems()

Method Detail

### addProblem

    protected void addProblem(Problem problem)

  Specified by:
    `addProblem` in class `AbstractProblems`
  See Also:
    `AbstractProblems.addProblem(Problem)`

### getProblems

    protected List<Problem> getProblems()

  Specified by:
    `getProblems` in class `AbstractProblems`
  See Also:
    `AbstractProblems.getProblems()`

### addAll

    public void addAll(Iterable<Problem> problems)

  Add all of the problems in the supplied list.

  Parameters:
    `problems` - the problems to add to this list; this method does nothing if null or empty
  See Also:
    `Problems.addAll(java.lang.Iterable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.